<script lang="ts">
    import { isActive, url, goto } from '@roxi/routify';
    import { PublicKey } from '../../classes/storage/public-key';

    if (!PublicKey.get()) {
        $goto('/settings');
    }

</script>

<div>
    <h1 class="title has-text-centered">Send SXP</h1>
    <div class="tabs is-centered">
        <ul>
            <li class:is-active={$isActive('./user')}><a href={$url('./user')}>To user</a></li>
            <li class:is-active={$isActive('./around-me')}><a href={$url('./around-me')}>Around me</a></li>
        </ul>
    </div>
    <div class="container">
        <div>
            <slot />
        </div>
    </div>
</div>
